# Role : docker_webfingerserver


## Services fournis

- Installation d'un serveur PEWS pour fournir le service webfinger sur un serveur docker_host
- Peuplement du serveur PEWS en fichiers json à partir du serveur LDAP


## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_webfingerserver_fqdn: libretic.fr
docker_webfingerserver_data_dir: /data1
docker_webfingerserver_service_id: webfinger
docker_webfingerserver_ldap_server_uri: ldap://adresse-du-serveur-ldap
docker_webfingerserver_ldap_bind_dn: uid=compte-de-service-interrogation-ldap,xxxx
docker_webfingerserver_ldap_bind_pw: son_mot_de_passe
docker_webfingerserver_ldap_usersdn: ou=utilisateurs,dc=libretic,dc=fr
```

| Option                                   | Valeur par défaut | Description                                                                               |
|------------------------------------------|-------------------|-------------------------------------------------------------------------------------------|
| docker_webfingerserver_fqdn      |                   | Le nom de domaine pour lequel le service webfinger répond                                 |
| docker_webfingerserver_data_dir          |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service       |
| docker_webfingerserver_service_id        |                   | Le nom de service souhaité : conditionne le nommage des volumes et le routage par traefik |
| docker_webfingerserver_ldap_server_uri   |                   | URI de connexion au serveur ldap                                                          |
| docker_webfingerserver_ldap_bind_dn      |                   | DN du compte de service de connexion à l'annuaire pour lire les informations utilisateurs |
| docker_webfingerserver_ldap_bind_pw      |                   | Mot de passe du compte de service                                                         |
| docker_webfingerserver_ldap_usersdn      |                   | Base de recherche des utilisateurs                                                        |
| docker_webfingerserver_ldap_users_filter | (objectClass=*)   | (Facultatif) Filtre de sélection des utilisateurs                                         |




